Routing - Update Default For Profile
curl --request POST \
--url https://sandbox.birrpay.io/routing/default/profile/{profile_id} \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
[
{
"merchant_connector_id": "<string>"
}
]
'import requests
url = "https://sandbox.birrpay.io/routing/default/profile/{profile_id}"
payload = [{ "merchant_connector_id": "<string>" }]
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{merchant_connector_id: '<string>'}])
};
fetch('https://sandbox.birrpay.io/routing/default/profile/{profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile_id": "<string>",
"connectors": [
{
"connector": "authipay",
"merchant_connector_id": "<string>"
}
]
}Routing
Routing - Update Default For Profile
Update default config for profiles
POST
/
routing
/
default
/
profile
/
{profile_id}
Routing - Update Default For Profile
Authorizations
api_keyjwt_key
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The unique identifier for a profile
Body
application/json
RoutableConnectors are the subset of Connectors that are eligible for payments routing
Available options:
authipay, adyenplatform, stripe_billing_test, phonypay, fauxpay, pretendpay, stripe_test, adyen_test, checkout_test, paypal_test, aci, adyen, affirm, airwallex, amazonpay, archipel, authorizedotnet, bankofamerica, barclaycard, billwerk, bitpay, bambora, blackhawknetwork, bamboraapac, bluesnap, calida, boku, braintree, breadpay, cashtocode, celero, chargebee, custombilling, checkbook, checkout, coinbase, coingate, cryptopay, cybersource, datatrans, deutschebank, digitalvirgo, dlocal, dwolla, ebanx, elavon, facilitapay, finix, fiserv, fiservemea, fiuu, flexiti, forte, getnet, gigadat, globalpay, globepay, gocardless, hipay, helcim, iatapay, inespay, itaubank, jpmorgan, klarna, loonio, mifinity, mollie, moneris, multisafepay, nexinets, nexixpay, nmi, nomupay, noon, nordea, novalnet, nuvei, opennode, paybox, payme, payload, payone, paypal, paysafe, paystack, paytm, payu, peachpayments, payjustnow, payjustnowinstore, phonepe, placetopay, powertranz, prophetpay, rapyd, razorpay, recurly, redsys, riskified, santander, shift4, signifyd, silverflow, square, stax, stripe, stripebilling, tesouro, trustpay, trustpayments, tokenio, tsys, volt, wellsfargo, wise, worldline, worldpay, worldpaymodular, worldpayvantiv, worldpayxml, xendit, zen, zift, plaid, zsl, juspaythreedsserver, ctp_mastercard, ctp_visa, netcetera, cardinal, threedsecureio